# OnMeAction

User issued a CTCP ACTION

Parameters

    $0 = action message text
    $1 = action target (channel or nickname)

Window
Channels and query windows
Description
This event is triggered when user issues a CTCP ACTION. (The CTCP ACTION is usually triggered by the /me command). Warning: don't use a /me inside this event handler, or you'll get an infinite recursion. If you need to halt the action (eg. to do some text substitution), follow the example code.
Examples

        ctcp $1 action "this text was changed in scripting, old one was $0";
        echo -i=$msgtype(action) -w=$active "$me this text was changed in scripting, old one was $0";
        halt;

Index, Events

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 06:46:00 2013